<?php

function printAndExit($message){
	include('header.php');
	echo $message;
	include('footer.php');
	exit();
}


if( empty($_POST['name']) or empty($_POST['price']) or empty($_POST['type']) ){
	printAndExit('<h1>INVALID INPUT</h1><h2>Missing treasure name, price or type</h2>');
}

$inputData['Name'] = $_POST['name'];
$inputData['Price'] = intval($_POST['price']);
$inputData['Type'] = $_POST['type'];

$connection = new Mongo();

switch($_POST['type']){
	case 'Ring':
		if( empty($_POST['Special_Attribute']) ){
			printAndExit('<h1>INVALID INPUT</h1><h2>Missing ring special attribute</h2>');
		}
		$inputData['Special Attribute']=$_POST['Special_Attribute'];
		$connection->treasurebag->treasure->insert($inputData);
		printAndExit('<h1>NEW RING ADDED TO TREASURE BAG</h1>');
		break;
	case 'Staff':
		if( empty($_POST['Charges']) or empty($_POST['Spells']) ){
			printAndExit('<h1>INVALID INPUT</h1><h2>Missing staff charges or spells</h2>');
		}
		$inputData['Charges']=intval($_POST['Charges']);
		$inputData['Spells']=explode(',',$_POST['Spells']);
		$connection->treasurebag->treasure->insert($inputData);
		printAndExit('<h1>NEW STAFF ADDED TO TREASURE BAG</h1>');
		break;
	case 'Wand':
		if( empty($_POST['Charges']) or empty($_POST['Spell']) ){
			printAndExit('<h1>INVALID INPUT</h1><h2>Missing wand charges or spell</h2>');
		}
		$inputData['Charges']=intval($_POST['Charges']);
		$inputData['Spell']=$_POST['Spell'];
		$connection->treasurebag->treasure->insert($inputData);
		printAndExit('<h1>NEW WAND ADDED TO TREASURE BAG</h1>');
		break;
	case 'Weapon':
		if( empty($_POST['Bonus']) ){
			printAndExit('<h1>INVALID INPUT</h1><h2>Missing weapon bonus</h2>');
		}
		$inputData['Bonus']=intval($_POST['Bonus']);
		if( !empty($_POST['Special_Attributes']) ){
			$inputData['Special Attributes']=explode(',',$_POST['Special_Attributes']);
		}
		$connection->treasurebag->treasure->insert($inputData);
		printAndExit('<h1>NEW WEAPON ADDED TO TREASURE BAG</h1>');
		break;
	default:
		printAndExit('<h1>INVALID TREASURE TYPE</h1><h2>UNABLE TO ADD NEW TREASURE TO DATABASE</h2>');
}

?>
